-- 2024-10-08
ALTER TABLE obe_culture_program_requirement
    ADD UNIQUE INDEX obe_culture_program_requirement_unique (culture_program_id ASC, name ASC);

CREATE TABLE obe_course_outline_audit_report (
    id BIGINT NOT NULL,
    course_outline_id BIGINT NOT NULL,
    weight_setting_sign BIGINT NULL COMMENT '课程权重设置标识',
    course_basic_info MEDIUMTEXT NULL COMMENT '课程基础信息',
    course_target_info MEDIUMTEXT NULL COMMENT '课程目标情况',
    rationality_evaluation MEDIUMTEXT NULL COMMENT '合理性评价',
    PRIMARY KEY (id)
)  ENGINE=INNODB DEFAULT CHARACTER SET=UTF8MB4 COLLATE=utf8mb4_general_ci COMMENT='课程目标达成情况评价依据合理性审核表';

-- 2024-10-09
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('3060', '课程大纲-审核', '/api/admin/obe/course_outline/audit_report', 'URL', '3000', '7', 'AUTH', '1', '1', '1');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('3061', '课程大纲-审核及合理性', '/api/admin/obe/course_outline/audit_rationality_report', 'URL', '3000', '8', 'AUTH', '1', '1', '1');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('3062', '课程大纲-审核报告保存', '/api/admin/obe/course_outline/audit/save', 'URL', '3000', '9', 'AUTH', '1', '1', '1');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES ('3063', '审核', 'Audit', 'LINK', '3000', '8', 'AUTH', '3060,3062', '1', '0', '1');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES ('3064', '审核&合理性', 'AuditAndRationality', 'LINK', '3000', '9', 'AUTH', '3061,3062', '1', '0', '1');

-- 2024-10-11
ALTER TABLE sys_config
    CHANGE COLUMN config_value config_value MEDIUMTEXT NULL COMMENT '参数键值' ;

INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('3070', '学号配置保存', '/api/admin/set/student_number_config/save', 'URL', '508', '17', 'AUTH', '1', '0', '1');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('3071', '学号配置查询', '/api/admin/set/student_number_config/select', 'URL', '508', '18', 'AUTH', '1', '0', '1');

INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('3072', '查询学号字母映射关系', '/api/scan/config/student_number_letter_relation', 'URL', '970', '40', 'AUTH', '1', '1', '1');
UPDATE sys_privilege SET related = '971,972,973,974,975,976,977,978,979,980,981,982,983,984,985,986,987,988,989,990,991,992,993,994,995,996,997,998,999,1000,1001,1002,1003,1004,1005,1007,1009,1010,1148,3072' WHERE (id = '970');
UPDATE sys_privilege SET related = '971,972,973,974,975,976,977,978,979,980,981,982,983,984,985,986,987,988,989,990,991,992,993,994,995,996,997,998,999,1000,1001,1002,1003,1004,1005,1007,1009,1010,1148,3072' WHERE (id = '1006');

-- 2024-10-12
CREATE TABLE scan_paper_type_check (
  id BIGINT NOT NULL,
  exam_id BIGINT NOT NULL COMMENT '考试ID',
  exception_paper_type VARCHAR(32) NOT NULL COMMENT '异常卷型类型',
  paper_type VARCHAR(10) NOT NULL COMMENT '识别卷型',
  student_id BIGINT NOT NULL COMMENT '考生ID',
  paper_index INT NOT NULL COMMENT '试卷页数',
  paper_id BIGINT NOT NULL COMMENT '试卷ID',
  card_number INT NOT NULL COMMENT '题卡编号',
  status VARCHAR(16) NOT NULL COMMENT '状态',
  user_id BIGINT NULL,
  creator_id BIGINT NULL COMMENT '创建人',
  updater_id BIGINT NULL COMMENT '更新人',
  create_time BIGINT NULL COMMENT '创建时间',
  update_time BIGINT NULL COMMENT '更新时间',
  PRIMARY KEY (id))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4
COLLATE=utf8mb4_general_ci
COMMENT = '卷型检查记录表';

-- 2024-10-15
ALTER TABLE scan_paper_page 
ADD COLUMN paper_type VARCHAR(10) NULL COMMENT '卷型' AFTER recog_data;
 
DROP TABLE scan_paper_type_check;
 
ALTER TABLE mark_student 
ADD COLUMN paper_type_check_status VARCHAR(32) NOT NULL COMMENT '卷型检查状态' AFTER omr_breach;

UPDATE mark_student 
SET 
    paper_type_check_status = 'NORMAL'
WHERE
    paper_type_check_status = '';
    
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('3073', '卷型检查任务-状态数量', '/api/scan/student/paper_type_check/status/count', 'URL', '970', '41', 'AUTH', '1', '1', '1');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('3074', '卷型检查任务-任务确认', '/api/scan/student/paper_type_check/confirm', 'URL', '970', '42', 'AUTH', '1', '1', '1');
UPDATE sys_privilege SET related = '971,972,973,974,975,976,977,978,979,980,981,982,983,984,985,986,987,988,989,990,991,992,993,994,995,996,997,998,999,1000,1001,1002,1003,1004,1005,1007,1009,1010,1148,3072,3073,3074' WHERE (id = '970');
UPDATE sys_privilege SET related = '971,972,973,974,975,976,977,978,979,980,981,982,983,984,985,986,987,988,989,990,991,992,993,994,995,996,997,998,999,1000,1001,1002,1003,1004,1005,1007,1009,1010,1148,3072,3073,3074' WHERE (id = '1006');

ALTER TABLE scan_paper_page
    CHANGE COLUMN paper_type paper_type TEXT NULL COMMENT '卷型';

-- 2024-10-16
UPDATE sys_privilege SET property = 'SYS' WHERE (id = '3071');
-- 2024-10-18
UPDATE sys_privilege SET default_auth = '1' WHERE (id = '3071');
