-- 2024-10-10
ALTER TABLE `exam_task_detail` CHANGE COLUMN `draw_count` `open_ab` TINYINT(1) NULL DEFAULT 0 COMMENT '是否开启AB卷' ;
update exam_task_detail set open_ab = (case open_ab when 1 then 0 else 1 end);

ALTER TABLE `basic_print_config` ADD COLUMN `open_ab` TINYINT(1) NULL DEFAULT 0 COMMENT '是否开启AB卷' AFTER `card_rule_id`;

-- 20224-10-11
ALTER TABLE `mark_student` ADD COLUMN `omr_breach` TINYINT(1) NULL DEFAULT 0 COMMENT '识别违纪' AFTER `omr_absent_checked`;

-- 2024-10-14
ALTER TABLE `exam_task_detail`
DROP COLUMN `open_ab`,
ADD COLUMN `serial_number` int(2) NULL COMMENT '备用卷序号（‌1,2,3,4…）' AFTER `exam_task_id`,
ADD COLUMN `exposed` TINYINT(1) NULL DEFAULT 0 COMMENT '是否曝光' AFTER `remark`;
ALTER TABLE `exam_task_detail` ADD COLUMN `exposed_exam_id` BIGINT(20) NULL COMMENT '曝光的考试ID' AFTER `exposed`;

ALTER TABLE `exam_task` ADD COLUMN `open_ab` TINYINT(1) NULL DEFAULT 0 COMMENT '是否开启AB卷' AFTER `paper_number`;

ALTER TABLE `basic_card_rule`
    ADD COLUMN `contains_letter` TINYINT(1) NULL DEFAULT 0 COMMENT '学号是否包含字母' AFTER `default_option_number`,
ADD COLUMN `relation_list` VARCHAR(500) NULL COMMENT '学号字母所在位置坐标' AFTER `contains_letter`;

ALTER TABLE `exam_task`
    ADD COLUMN `paper_confirm_attachment_ids` TEXT NULL AFTER `exam_task_content`,
ADD COLUMN `remark` VARCHAR(200) NULL AFTER `paper_confirm_attachment_ids`;

update exam_task et set et.paper_confirm_attachment_ids = (select paper_confirm_attachment_ids from exam_task_detail etd where et.id = etd.exam_task_id);
update exam_task et set et.remark = (select remark from exam_task_detail etd where et.id = etd.exam_task_id);

-- 2024-10-15
ALTER TABLE `exam_detail_course` ADD COLUMN `serial_number` INT(2) NULL COMMENT '备用卷' AFTER `update_time`;
ALTER TABLE `mark_paper` ADD COLUMN `serial_number` INT(1) NULL COMMENT '备用卷' AFTER `user_id`;
ALTER TABLE `mark_paper_package` ADD COLUMN `serial_number` INT(1) NULL COMMENT '备用卷序号' AFTER `course_paper_id`;
ALTER TABLE `mark_student` ADD COLUMN `serial_number` INT(2) NULL COMMENT '备用卷序号' AFTER `course_paper_id`;
ALTER TABLE `scan_answer_card` ADD COLUMN `serial_number` INT(2) NULL COMMENT '备用卷序号' AFTER `course_paper_id`;
ALTER TABLE `mark_question` ADD COLUMN `serial_number` INT(2) NULL COMMENT '备用卷序号' AFTER `paper_number`;

-- 2024-10-16
ALTER TABLE `mark_question` DROP COLUMN `serial_number`;

CREATE TABLE `mark_question_answer` (
       `id` BIGINT(20) NOT NULL,
       `exam_id` BIGINT(20) NULL COMMENT '考试ID',
       `paper_number` VARCHAR(50) NULL COMMENT '试卷编号',
       `paper_type` VARCHAR(10) NULL COMMENT '卷型',
       `main_number` INT NULL COMMENT '大题号',
       `sub_number` INT NULL COMMENT '小题号',
       `answer` VARCHAR(16) NULL COMMENT '客观题标答',
       `objective_policy` VARCHAR(16) NULL COMMENT '判分策略',
       `objective_policy_score` DOUBLE NULL COMMENT '客观题判分策略计分（漏选给分）',
       `create_id` BIGINT(20) NULL,
       `create_time` BIGINT(20) NULL,
       `update_id` BIGINT(20) NULL,
       `update_time` BIGINT(20) NULL,
       PRIMARY KEY (`id`))
    COMMENT = '客观题信息';

-- 2024-10-21
ALTER TABLE `exam_task` ADD COLUMN `exam_task_detail_enable` TINYINT(1) NULL COMMENT '卷库启用禁用状态。是否启用，false：停用，true：启用' AFTER `enable`;
